define({"0":{y:0,u:"../Content/Shared_Admin/_ADM_HTML_Cover.htm",l:-1,t:"Distributed Index Handler",i:0.000294697411075106,a:"IDOL Distributed Index Handler Software Version 23.4     Administration Guide     Document Release Date: September 2023 Software Release Date: September 2023"},"1":{y:0,u:"../Content/Use_DIH.htm",l:-1,t:"Use the Distributed Index Handler",i:0.000294697411075106,a:"Use the Distributed Index Handler This section describes how to set up and use the OpenText Distributed Index Handler (DIH). "},"2":{y:0,u:"../Content/Introduction/Introduction.htm",l:-1,t:"Introduction",i:0.000357320622102154,a:"Introduction This chapter gives an overview of the OpenText Distributed Action Handler (DIH)."},"3":{y:0,u:"../Content/Introduction/About_the_DIH.htm",l:-1,t:"About DIH",i:0.000294697411075106,a:"The OpenText Distributed Index Handler (DIH) is a distribution server that distributes index actions to IDOL Servers. Distribution enables you to scale your system in a linear manner, increasing the speed of index actions and saving processing time. Distributing the index between multiple copies of ..."},"4":{y:0,u:"../Content/Introduction/System_Architecture.htm",l:-1,t:"System Architecture",i:0.000294697411075106,a:"The DIH receives index actions (data indexing requests or administrative actions) and distributes them to the connected IDOL servers.  You can run the DIH in either of two modes: mirror mode and non-mirror mode. You determine the way that the DIH distributes index data by using the  MirrorMode  ..."},"5":{y:0,u:"../Content/Introduction/Using_Chained__Servers.htm",l:-1,t:"Use Chained Distributed Index Handler Servers",i:0.000317469487812214,a:"You can set up multiple DIH instances in a chained configuration. In this configuration, a parent DIH distributes to child DIH servers, which in turn distribute to child IDOL servers. DIH system architecture (chained configuration) In this configuration, the parent DIH forwards all IDOL Server index ..."},"6":{y:0,u:"../Content/Install/Installation.htm",l:-1,t:"Install Distributed Index Handler",i:0.000357320622102154,a:"Install Distributed Index Handler This section describes how to install the DIH by using the IDOL Server installer. After you install the DIH, you must configure at least two child IDOL servers to distribute to before you can use it."},"7":{y:0,u:"../Content/Shared_Admin/Installation/_ADM_Install_Windows.htm",l:-1,t:"Install Distributed Index Handler on Windows",i:0.00196464446936826,a:"Use the following procedure to install Distributed Index Handler on Microsoft Windows operating systems, by using the IDOL Server installer. The IDOL Server installer provides the major IDOL components. It also includes License Server, which Distributed Index Handler requires to run. To install ..."},"8":{y:0,u:"../Content/Shared_Admin/Installation/_ADM_Install_WindowsServices.htm",l:-1,t:"Install an IDOL Component as a Service on Windows",i:0.000294697411075106,a:"On Microsoft Windows operating systems, you can install any IDOL component as a Windows service. Installing a component as a Windows service makes it easy to start and stop the component, and you can configure a component to start automatically when you start Windows. Use the following procedure to ..."},"9":{y:0,u:"../Content/Shared_Admin/Installation/_ADM_Install_UNIX.htm",l:-1,t:"Install Distributed Index Handler on UNIX",i:0.00196464446936826,a:"Use the following procedure to install Distributed Index Handler in text mode on UNIX platforms. To install Distributed Index Handler on UNIX         Open a terminal in the directory in which you have placed the installer, and enter the following command: ./IDOLServer_VersionNumber_Platform.exe ..."},"10":{y:0,u:"../Content/Shared_Admin/Installation/_ADM_Install_LinuxStartup.htm",l:-1,t:"Install an IDOL Component as a Service on Linux",i:0.00196464446936826,a:"On Linux operating systems, you can install a component as a service to allow you to easily start and stop it. You can also configure the service to run when the machine boots. The following procedures describe how to install Distributed Index Handler as a service on Linux. These procedures assume ..."},"11":{y:0,u:"../Content/Configure/Configuration.htm",l:-1,t:"Configure the Distributed Index Handler",i:0.000357320622102154,a:"Configure the Distributed Index Handler The DIH configuration file contains settings that determine how the DIH operates. You can modify these settings to customize DIH according to your requirements."},"12":{y:0,u:"../Content/Configure/Edit_the_Configuration_F.htm",l:-1,t:"Edit the Configuration File",i:0.000294697411075106,a:"Edit the Configuration File You configure the DIH by modifying the DIH configuration file. The configuration file, dih.cfg, is installed in the DIH installation subdirectory: installDir\\dih\\dih.cfg where  InstallDir is the directory in which you have installed IDOL components."},"13":{y:0,u:"../Content/Configure/Unified_Configuration.htm",l:-1,t:"Unified Configuration",i:0.000294697411075106,a:"DIH is generally installed and operated as a stand-alone component, where you use a separate dih.cfg file to configure the DIH. However, in simple testing and training setups you can configure the DIH as part of a unified IDOL Server, by using the idolserver.cfg file. For more details about unified ..."},"14":{y:0,u:"../Content/Shared_Admin/_ADM_Enter_config_params.htm",l:-1,t:"Modify Configuration Parameter Values",i:0.000294697411075106,a:"You modify Distributed Index Handler configuration parameters by directly editing the parameters in the configuration file. When you set configuration parameter values, you must use UTF-8. You must stop and restart Distributed Index Handler for new configuration settings to take effect. This section ..."},"15":{y:0,u:"../Content/Shared_Admin/_ADM_Include_Config.htm",l:-1,t:"Include an External Configuration File",i:0.00196464446936826,a:"You can share configuration sections or parameters between ACI server configuration files. The following sections describe different ways to include content from an external configuration file.  You can include a configuration file in its entirety, specified configuration sections, or a single ..."},"16":{y:0,u:"../Content/Configure/The__Configuration_File.htm",l:-1,t:"The DIH Configuration File",i:0.000294697411075106,a:"The DIH Configuration File By default, the DIH configuration file is named dih.cfg, and it is stored in your DIH installation directory: InstallDir\\dih\\dih.cfg where  InstallDir is the directory in which you have installed IDOL components."},"17":{y:0,u:"../Content/Shared_Admin/_ADM_Display_Help.htm",l:-1,t:"Display Online Help",i:0.000545190255183298,a:"You can display the Distributed Index Handler Reference by sending an action from your web browser. The Distributed Index Handler Reference describes the actions and configuration parameters that you can use with Distributed Index Handler. For Distributed Index Handler to display help, the help data ..."},"18":{y:0,u:"../Content/Configure/Configuration_File_Secti.htm",l:-1,t:"Configuration File Sections",i:0.000294697411075106,a:"The DIH configuration file contains several sections that represent different areas that you can configure. For details on all available configuration parameters, refer to the Distributed Index Handler Reference (see  Display Online Help ). [AuthorizationRoles] The [AuthorizationRoles] defines roles ..."},"19":{y:0,u:"../Content/Configure/Set_the_Distribution_Mod.htm",l:-1,t:"Set the Distribution Mode",i:0.000419943833129202,a:"Set the Distribution Mode You can configure the DIH to run in one of two alternate modes: Mirror mode Non-mirror mode The  MirrorMode  parameter is set to  True in the default configuration file. However, if you do not set the  MirrorMode  configuration parameter, DIH runs in non-mirror mode."},"20":{y:0,u:"../Content/Configure/Run_Mirror_Mode.htm",l:-1,t:"Run the Distributed Index Handler in Mirror Mode ",i:0.000294697411075106,a:" In mirror mode the DIH distributes all the index data it receives to all the connected IDOL Servers. The IDOL Servers are exact copies of each other and must all have the same configuration.  Run the DIH in mirror mode to ensure uninterrupted service if one of the IDOL servers fails. If one IDOL ..."},"21":{y:0,u:"../Content/Configure/Run_Non_Mirror_Mode.htm",l:-1,t:"Run the Distributed Index Handler in Non-Mirror Mode",i:0.000294697411075106,a:"In non-mirror mode the DIH distributes the index data that it receives evenly across the connected IDOL Servers.  Run the DIH in non-mirror mode if the amount of data to index is too large for a single IDOL Server. This option can reduce the index process time, particularly if the IDOL Servers that ..."},"22":{y:0,u:"../Content/Configure/Manage_Child_Servers.htm",l:-1,t:"Manage Child Servers",i:0.000294697411075106,a:"Manage Child Servers This section describes how to add and remove child IDOL servers and distribute data."},"23":{y:0,u:"../Content/Configure/Add_an_IDOL_Server_to_th.htm",l:-1,t:"Add an IDOL Server to the Distributed Index Handler",i:0.000294697411075106,a:"After you install the DIH, you can add more IDOL servers that the DIH can distribute actions to. To add an IDOL server to the DIH Open the DIH configuration file in a text editor. Find the [DistributionIDOLServers] section.  Increase the value of the  Number  parameter by one, and add an ..."},"24":{y:0,u:"../Content/Configure/Remove_an_IDOL_Server_fr.htm",l:-1,t:"Remove an IDOL Server from the Distributed Index Handler",i:0.000294697411075106,a:"You can remove an IDOL server from the list of servers to which the DIH can distribute actions. To remove an IDOL server from the DIH Open the DIH configuration file in a text editor. Find the [DistributionIDOLServers] section.  Decrease the value of the  Number  setting by one, and delete the ..."},"25":{y:0,u:"../Content/Configure/Add_Update_and_Remove.htm",l:-1,t:"Add, Update, and Remove Child Servers Dynamically",i:0.000321294263503201,a:"You can add, edit, and remove child servers by using the  EngineManagement  action. This action updates the DIH configuration file, so that the changes are persistent. Add a Child Server Dynamically You can add a new child server to the DIH by using the  EngineManagement  action.  You can add a ..."},"26":{y:0,u:"../Content/Configure/Determine_State_Child_Servers.htm",l:-1,t:"Determine the State of Child Servers",i:0.000294697411075106,a:"The DIH regularly pings all its child IDOL servers to determine their state; running (up) or not running (down). In mirror mode, if a server is down, the DIH queues the data for that server, and indexes the data into the server when it is available again. In non-mirror mode, the DIH redistributes ..."},"27":{y:0,u:"../Content/Configure/Distribute_Data_Dynamica.htm",l:-1,t:"Distribute Data Dynamically across Child Servers",i:0.000294697411075106,a:"In non-mirror mode, you can configure the DIH to distribute data dynamically across a bank of child servers, based on user-defined limits to the number of documents. This option also allows you to determine when all child servers are full and you require new machines. These options are available in ..."},"28":{y:0,u:"../Content/Configure/Designate_a_Child_Server.htm",l:-1,t:"Designate a Child Server as an Archive Server",i:0.000294697411075106,a:"In non-mirror mode, you can designate a child server as an archive server. An archive server receives document updates but does not receive new documents. Set the  UpdateOnly  parameter to  True in the [DistributionIDOLServers] section of the DIH configuration file to convert a child server into an ..."},"29":{y:0,u:"../Content/Configure/Manage_Client_Connection.htm",l:-1,t:"Manage Client Connections",i:0.000294697411075106,a:"You can control several aspects relating to clients connecting to the DIH. Use the following configuration parameters, which you set in the [Server] section of the DIH configuration file. You can also control the users that can perform index operations by using the [AuthorizationRoles] section of ..."},"30":{y:0,u:"../Content/Configure/Manage_the_Indexing_Proc.htm",l:-1,t:"Manage the Indexing Process",i:0.000336446218426471,a:"To tune indexing performance, you can adjust certain limits on the DIH and its child servers. Specify how many times the DIH attempts to send an index action to a child IDOL server before it assumes that the connection has failed.  Set the  MaximumRetries  configuration parameter (in the [Server] ..."},"31":{y:0,u:"../Content/Configure/Round_Robin_Indexing.htm",l:-1,t:"Round Robin Indexing",i:0.000315124506685183,a:"You can use round robin indexing with the DIH to maximize indexing performance. This option rotates indexing over several child servers, so that only one DIH indexes at a time. A round robin DIH forms part of a larger architecture that achieves extremely high performance and low search latency. IDOL ..."},"32":{y:0,u:"../Content/Configure/Reference_based_Indexing.htm",l:-1,t:"Reference-Based Indexing",i:0.000368318211541373,a:"You can use reference-based indexing to distribute the indexing load evenly between IDOL Servers and achieve efficient data distribution. Data indexing depends on the reference of the documents. In simple non-mirror mode, DIH sends all actions to all servers, and instructs the child servers to ..."},"33":{y:0,u:"../Content/Configure/Field_based_Indexing_.htm",l:-1,t:"Field-Based Indexing",i:0.000368318211541373,a:"You can use field-based indexing to distribute the indexing load between IDOL servers. This mode is similar to reference-based indexing, except that you configure the document fields that determine which child server to send the document to. Data indexing uses the value of the specified field in the ..."},"34":{y:0,u:"../Content/Configure/Date_based_Indexing.htm",l:-1,t:"Date-Based Indexing",i:0.000315124506685183,a:"You can use date-based indexing to distribute the indexing load between IDOL servers. Date-based indexing uses the date of the documents being indexed or in which you replace fields. When you enable date-based indexing, DIH indexes each document in a  DREADD  and  DREADDDATA  action by its #DREDATE ..."},"35":{y:0,u:"../Content/Configure/Send_Minimal_Documents.htm",l:-1,t:"Send Minimal Documents",i:0.000336446218426471,a:"In non-mirror mode, you can configure DIH to send each child server only the information it needs. In  DistributeSendMinimal  mode, the DIH determines which child server must index each document, and sends the complete document only to that child server.  DIH sends a minimal representation of the ..."},"36":{y:0,u:"../Content/Configure/Use_Consistent_Hashing.htm",l:-1,t:"Use Consistent Hashing",i:0.000312904089339744,a:"In the  DistributeByReference  and simple  DistributeByFields  modes, you can use consistent hashing mode to create a more flexible DIH architecture. In consistent hashing mode, you can add, remove, or change the weight of child servers in your DIH without having to reindex all your content. To use ..."},"37":{y:0,u:"../Content/Configure/Configure_Consistent_Has.htm",l:-1,t:"Configure Consistent Hashing",i:0.000321294263503201,a:"The following procedures describe how to configure consistent hashing mode in your DIH and child IDOL servers. Configure the DIH for Consistent Hashing Mode The following procedure describes the configuration changes to the DIH that enable consistent hashing mode. To use consistent hashing, you must ..."},"38":{y:0,u:"../Content/Configure/Index_Data_in_Consistent.htm",l:-1,t:"Index Data in Consistent Hashing Mode",i:0.000294697411075106,a:"In consistent hashing mode, OpenText recommends that you do not use the  Priority  index action parameter for any action that affects your data (for example,  DREADDDATA ,  DREREPLACE ,  DREDELETEREF ). You can use index action priorities for purely administrative index actions as usual (for example ..."},"39":{y:0,u:"../Content/Configure/Add_Change_Remove_Child.htm",l:-1,t:"Add, Change, and Remove Child Servers in Consistent Hashing Mode",i:0.000339500941767839,a:"In consistent hashing mode, you can add or remove child servers, and change the weight of a child server, without reindexing all your content. This process uses the  EngineManagement  action and the  DREREDISTRIBUTE  index action to change your child server arrangement and redistribute the data ..."},"40":{y:0,u:"../Content/Configure/Restore_Child_Server.htm",l:-1,t:"Restore Child Servers in Consistent Hashing Mode",i:0.000312904089339744,a:"In consistent hashing mode when you have configured replicas, you can restore a child server that becomes permanently unavailable (for example because of a hardware failure). DIH can rebuild the index of the lost child server from the replicas stored in other child servers in your system. For ..."},"41":{y:0,u:"../Content/Configure/Manage_the_Index_Queue.htm",l:-1,t:"Manage the Index Queue",i:0.000294697411075106,a:"The DIH maintains an internal queue of unfinished index actions that it receives. By default, the index queue size grows if the DIH needs to accept new index actions (that is, it does not discard jobs that have not been completed).  To tune indexing performance, you can control certain ..."},"42":{y:0,u:"../Content/Configure/Archive_Information.htm",l:-1,t:"Archive Information",i:0.000294697411075106,a:"You can archive records of index actions that the DIH receives and documents that the DIH was unable to index. Archive Actions Use the following procedure to set up archiving for index actions. The archived data includes any data that you send in the action.  To enable archiving of index actions ..."},"43":{y:0,u:"../Content/Configure/Set_Up_SSL_Connections.htm",l:-1,t:"Set Up SSL Connections",i:0.000294697411075106,a:"You can configure Secure Socket Layer (SSL) connections between the DIH and other servers. You can configure SSL connections in a combination of different configuration sections: [Server]. Configure SSL in this section for connections for incoming ACI calls. You can configure this section in either ..."},"44":{y:0,u:"../Content/Shared_Admin/_ADM_Configure_AuthRoles.htm",l:-1,t:"Configure Client Authorization",i:0.000294697411075106,a:"You can configure Distributed Index Handler to authorize different operations for different connections.  Authorization roles define a set of operations for a set of users. You define the operations by using the StandardRoles configuration parameter, or by explicitly defining a list of allowed ..."},"45":{y:0,u:"../Content/Shared_Admin/_ADM_Set_Up_Log_Streams.htm",l:-1,t:"Customize Logging",i:0.000294697411075106,a:"You can customize logging by setting up your own log streams. Each log stream creates a separate log file in which specific log message types (for example, action, index, application, or import) are logged. To set up log streams Open your configuration file in a text editor. Find the [Logging] ..."},"46":{y:0,u:"../Content/Operate/SendingCommands.htm",l:-1,t:"Operate the Distributed Index Handler",i:0.000357320622102154,a:"Operate the Distributed Index Handler This chapter describes the actions you can perform with the DIH."},"47":{y:0,u:"../Content/Shared_Admin/StartStop/_ADM_StartStopIntroduction.htm",l:-1,t:"Start and Stop Distributed Index Handler",i:0.000294697411075106,a:"Start and Stop Distributed Index Handler The following sections describe how to start and stop Distributed Index Handler."},"48":{y:0,u:"../Content/Shared_Admin/StartStop/_ADM_Start.htm",l:-1,t:"Start Distributed Index Handler",i:0.000294697411075106,a:"Your License Server must be running before you start Distributed Index Handler. You can configure services to start automatically when you start the machine. To start Distributed Index Handler Start Distributed Index Handler from the command line using the following command: dih.exe -configfile ..."},"49":{y:0,u:"../Content/Shared_Admin/StartStop/_ADM_Stop.htm",l:-1,t:"Stop Distributed Index Handler",i:0.000294697411075106,a:"You can stop Distributed Index Handler by using one of the following procedures. To stop Distributed Index Handler Send the Stop service action to the service port. http://host:ServicePort/action=Stop where: On Windows, if Distributed Index Handler is running as a service, stop Distributed Index ..."},"50":{y:0,u:"../Content/Operate/Index_Data_with_DIH.htm",l:-1,t:"Index Data with the DIH",i:0.000294697411075106,a:"Index Data with the DIH You can send either of two IDOL Server indexing actions to the DIH. For complete information about these index actions and their parameters, see  Index Actions  and refer to the IDOL Server Administration Guide."},"51":{y:0,u:"../Content/Operate/Use_DREADD.htm",l:-1,t:"Use DREADD",i:0.000294697411075106,a:"The DIH accepts the  DREADD  indexing action, which allows you to send data (that is accessible to the DIH through the file system) directly to the DIH for indexing. Use the following action syntax: http://DIHhost:IndexPort/DREADD?parameters When you send this action to the DIH instead of to an IDOL ..."},"52":{y:0,u:"../Content/Operate/Using_DREADDDATA.htm",l:-1,t:"Use DREADDDATA",i:0.000294697411075106,a:"The DIH accepts the  DREADDDATA  indexing action, which allows you to send data over a socket to the DIH for indexing. This action requires a POST request method. Use the following action syntax: http://DIHhost:IndexPort/DREADDDATA?optionalParamsData#DREENDDATAkillDuplicatesOption\\n\\n When you send ..."},"53":{y:0,u:"../Content/Operate/Check_Indexing_Status.htm",l:-1,t:"Check Indexing Status",i:0.000294697411075106,a:"You can check whether the DIH has successfully indexed data into the connected IDOL servers by running the following action: http://DIHhost:ACIport/action=IndexerGetStatus where, DIHhost is the IP address or host name of the of the machine on which DIH is installed. ACIport is the port that you use ..."},"54":{y:0,u:"../Content/Operate/IndexerGetStatus_Status_.htm",l:-1,t:"IndexerGetStatus Status Codes",i:0.000378195025777836,a:"IndexerGetStatus Status Codes Codes in bold are status messages. All other codes indicate there is a problem with the indexing process.  If the  IndexerGetStatus  action returns a positive number, this number indicates the percentage of the indexing queue that is complete."},"55":{y:0,u:"../Content/Operate/Administer_IDOL_Servers.htm",l:-1,t:"Administer IDOL Servers",i:0.000294697411075106,a:"Administer IDOL Servers You can use the following IDOL Server index actions to administer the IDOL Servers managed by the DIH. Refer to the IDOL Server Reference for complete information on these actions and their parameters."},"56":{y:0,u:"../Content/Operate/Run_Configuration_Change.htm",l:-1,t:"Implement Configuration Changes",i:0.000294697411075106,a:"When you make changes to the configuration files of one or more IDOL Servers, you can send the  DRERESET  index action to the DIH to ensure that all its child IDOL Servers implement the changes. Use the following action syntax: http://DIHhost:IndexPort/DRERESET? When you send this action to the DIH ..."},"57":{y:0,u:"../Content/Operate/Compact_the_IDOL_Servers.htm",l:-1,t:"Compact the IDOL Servers",i:0.000357320622102154,a:"The  DRECOMPACT  index action  allows the DIH to reduce the space that documents take up in the IDOL Servers. The compact operation (similar to the defragmentation process) uses new documents to fill up the space that has been created through the deletion of other documents. Use the following action ..."},"58":{y:0,u:"../Content/Operate/Back_up_the_IDOL_Servers.htm",l:-1,t:"Back up the IDOL Servers",i:0.000294697411075106,a:"The  DREBACKUP  index action allows the DIH to back up the data in its child IDOL Servers, to create a safe copies of the data. You can subsequently use a  DREINITIAL  index action to restore the backed up files to the IDOL Servers. To back up IDOL Server Send a  DRECOMPACT  index action to the DIH ..."},"59":{y:0,u:"../Content/Operate/Initialize_the_IDOL_Serv.htm",l:-1,t:"Initialize the IDOL Servers",i:0.000294697411075106,a:"The  DREINITIAL  index action allows the DIH to delete the data that each child IDOL server contains and reset the server to the state it was in when first installed. Use the following action syntax: http://DIHhost:IndexPort/DREINITIAL? When you send this action to the DIH instead of to an IDOL ..."},"60":{y:0,u:"../Content/Operate/Disable_the_IDOL_Servers.htm",l:-1,t:"Disable the IDOL Servers",i:0.000294697411075106,a:"You can use the  EngineManagement  action to dynamically take child servers offline (without restarting the DIH). Send the  EngineManagement  action with the  EngineAction  parameter set to  Edit and the  Disabled  parameter set to  True to temporarily disable a child server of the DIH: ..."},"61":{y:0,u:"../Content/Operate/Disable_Index_Actions.htm",l:-1,t:"Disable Index Actions",i:0.000294697411075106,a:"You can prevent the DIH from forwarding certain index actions to its child servers. For example, you might want to prevent a user from sending a  DREINITIAL  index action to all child servers of a DIH. In the [IndexServer] section of the DIH configuration file, set  DisallowedIndexCommands  to a ..."},"62":{y:0,u:"../Content/Operate/Manage_Databases.htm",l:-1,t:"Manage Databases",i:0.000294697411075106,a:"Manage Databases You can use the following IDOL Server index actions to manage IDOL databases in the child IDOL Servers of your DIH. For more information on these actions and their parameters,  see  Index Actions ."},"63":{y:0,u:"../Content/Operate/Create_a_New_Database_in.htm",l:-1,t:"Create a New Database in the IDOL Servers",i:0.000294697411075106,a:"The  DRECREATEDBASE  index action allows the DIH to create a new database in each of its IDOL Servers. For example, you can create a database to store documents that relate to one particular subject, or to store documents that are relevant to a particular user group. Use the following action syntax: ..."},"64":{y:0,u:"../Content/Operate/Delete_a_Database_and_Al.htm",l:-1,t:"Delete a Database and All the Documents that it Contains",i:0.000294697411075106,a:"The  DREREMOVEDBASE  action allows the DIH to delete an IDOL database and all the documents it contains. Use the following action syntax: http://DIHhost:IndexPort/DREREMOVEDBASE?DREDbName=DatabaseName When you send this action to the DIH instead of to an IDOL Server, note: DIHhost is the IP address ..."},"65":{y:0,u:"../Content/Operate/Manage_Documents.htm",l:-1,t:"Manage Documents",i:0.000294697411075106,a:"Manage Documents You can use the following IDOL Server index actions to manage IDOL database documents in the child IDOL Servers of your DIH. For complete information on these actions and their parameters,  see  Index Actions ."},"66":{y:0,u:"../Content/Operate/Delete_Documents_By_Refe.htm",l:-1,t:"Delete Documents by Reference",i:0.000294697411075106,a:"The  DREDELETEREF  index action instructs the DIH to delete one or more documents—specified by reference—from the child IDOL Servers. Use the following action syntax: http://DIHhost:IndexPort/DREDELETEREF?Docs=DocumentReferences\u0026Field=FieldNames\u0026DREDbName=DatabaseName When you send this action to ..."},"67":{y:0,u:"../Content/Operate/Delete_Restore_Doc.htm",l:-1,t:"Delete and Restore Documents by Document ID",i:0.000294697411075106,a:"The  DREDELETEDOC  index action instructs the DIH to delete one or more documents—specified by document ID—from the child IDOL Servers. You can also send the  DREUNDELETEDOC  index action to restore previously deleted documents.  Use the following action syntax for DREDELETEDOC: ..."},"68":{y:0,u:"../Content/Operate/Delete_All_Documents_fro.htm",l:-1,t:"Delete All Documents from a Database",i:0.000294697411075106,a:"The  DREDELDBASE  action  instructs the DIH to delete all documents from a database. Use the following action syntax: http://DIHhost:IndexPort/DREDELDBASE?DREDbName=DatabaseName When you send this action to the DIH instead of to an IDOL Server, note the following points: DIHhost is the IP address ..."},"69":{y:0,u:"../Content/Operate/Expire_Documents.htm",l:-1,t:"Expire Documents ",i:0.000294697411075106,a:" The  DREEXPIRE  index action instructs the DIH to delete or archive documents that have reached a specified age. You might archive to ensure that the documents in your IDOL servers are current. Use the following action syntax: http://DIHhost:IndexPort/DREEXPIRE? When you send this action to the DIH ..."},"70":{y:0,u:"../Content/Operate/Change_Document_Field_Va.htm",l:-1,t:"Change Document Field Values",i:0.000294697411075106,a:"The  DREREPLACE  action instructs the DIH to change the values of fields in its child IDOL Server indexed documents. This action requires a POST request method. Use the following action syntax: http://DIHhost:IndexPort/DREREPLACE?Data#DREENDDATA When you send this action to the DIH instead of to an ..."},"71":{y:0,u:"../Content/Operate/Change_Document_Metadata.htm",l:-1,t:"Change Document Metadata",i:0.000294697411075106,a:"The  DRECHANGEMETA  index action instructs the DIH to change the values of the importance rating, database, index date, or expiration date for specific documents in its child IDOL Servers. Use the following action syntax: ..."},"72":{y:0,u:"../Content/Appendixes.htm",l:-1,t:"Appendixes",i:0.000294697411075106,a:"Appendixes This section includes the following appendixes:"},"73":{y:0,u:"../Content/App_Troubleshooting.htm",l:-1,t:"Troubleshooting",i:0.000545190255183298,a:"This section describes some common issues and their solutions. If your DIH is not functioning correctly, try the remedies described in this appendix. The DIH cannot obtain a valid service port If the DIH cannot obtain a valid service port, it displays the following warning: Warning: Engine n. Unable ..."},"74":{y:0,u:"../Content/Actions/_ACI_Actions.htm",l:-1,t:"Actions",i:0.000294697411075106,a:"Actions This section describes the actions that you can use with Distributed Index Handler."},"75":{y:0,u:"../Content/Actions/_ACI_Actions_Intro.htm",l:-1,t:"Introduction to Actions",i:0.000294697411075106,a:"Actions allow you to query an ACI server  and instruct it to perform a variety of operations. All actions must be sent to the server  Port . The configured authorization roles determine which users can send which actions to the port. See  Authorization Roles Configuration Parameters . The general ..."},"76":{y:0,u:"../Content/Actions/General/_ACI_Actions_General.htm",l:-1,t:"General Actions",i:0.000294697411075106,a:"General Actions"},"77":{y:0,u:"../Content/Actions/General/_ACI_Admin.htm",l:-1,t:"Admin",i:0.00031396609139112,a:"Opens the IDOL Admin interface for the component that you use to call the action. This interface allows you to view data for the component and provides some administrative actions. To use this action, you must have an admin.dat file available for the component. You can configure the location of this ..."},"78":{y:0,u:"../Content/Actions/General/BackupServer.htm",l:-1,t:"BackupServer",i:0.000546028077138463,a:"The BackupServer action creates a backup that can be used to restore the server\u0027s state. The backup includes: a copy of the configuration file (but this is not restored by the  RestoreServer  action) the data in the index queue state information for consistent hashing Type: Synchronous Example ..."},"79":{y:0,u:"../Content/Actions/General/_ACI_DiskReport.htm",l:-1,t:"DiskReport",i:0.00203400420180696,a:"Returns a report of the disk usage.  The standard response returns data on the disk usage of directories and files in the component’s working directory. Some components also provide additional details about disk usage. This is an administrative action that can be sent only by users that belong to an ..."},"80":{y:0,u:"../Content/Actions/General/_ACI_Encrypted.htm",l:-1,t:"Encrypted",i:0.000883693412337268,a:"Send encrypted actions. When you are encrypting actions, encrypt the action and then send the Encrypted action, with the encrypted data for the original action in the  Data  parameter. The Encrypted action is for OEM encryption only. For non-OEM IDOL environments, OpenText recommends that you ..."},"81":{y:0,u:"../Content/Actions/General/_ACI_GetChildren.htm",l:-1,t:"GetChildren",i:0.00031396609139112,a:"Displays details of the child components for Distributed Index Handler. This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters ..."},"82":{y:0,u:"../Content/Actions/General/_ACI_GetLicenseInfo.htm",l:-1,t:"GetLicenseInfo",i:0.00031396609139112,a:"Displays licensing information for  actions. This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example ..."},"83":{y:0,u:"../Content/Actions/General/_ACI_GetVersion.htm",l:-1,t:"GetVersion",i:0.00031396609139112,a:"Displays details of the version and build of an ACI server, the directory it runs on, and server time. Example http://12.3.4.56:9000/action=GetVersion This action requests version details from a component. Optional Parameters This action accepts the following standard ACI action parameters."},"84":{y:0,u:"../Content/Actions/General/_ACI_GRL.htm",l:-1,t:"GRL",i:0.00473903376691629,a:"Displays a log of requests, including the date and time that a request was made, the client IP address that made the request, and the internal thread that handled the action. The list displays only the first 1000 characters of each request. This is an administrative action that can be sent only by ..."},"85":{y:0,u:"../Content/Actions/General/_ACI_MemoryReport.htm",l:-1,t:"MemoryReport",i:0.00203400420180696,a:"Details  memory usage. This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example ..."},"86":{y:0,u:"../Content/Actions/General/RestoreServer.htm",l:-1,t:"RestoreServer",i:0.000546028077138463,a:"The RestoreServer action restores a server\u0027s state from a backup created by the  BackupServer  action. The DIH will only restore data from a backup if it has the same number of child engines and engine groups configured as it did when the backup was made. Type: Synchronous Example ..."},"87":{y:0,u:"../Content/Actions/General/_ACI_ShowPermissions.htm",l:-1,t:"ShowPermissions",i:0.000883693412337268,a:"The ShowPermissions action returns information on whether a specified IP address is allowed to send query actions or administrative actions to the action port. For users that belong to the Admin standard role (see  Authorization Roles Configuration Parameters ), the ShowPermissions response also ..."},"88":{y:0,u:"../Content/Actions/General/_ACI_SystemLimits.htm",l:-1,t:"SystemLimits",i:0.00031396609139112,a:"Returns details of the following system limits: maximum core file size (in bytes) - UNIX platforms only maximum file size (in bytes) - UNIX platforms only maximum map count - UNIX platforms only block size (in bytes) maximum number of open file handles the number of processors On Microsoft Windows ..."},"89":{y:0,u:"../Content/Actions/General/_ACI_ThreadStatus.htm",l:-1,t:"ThreadStatus",i:0.00031396609139112,a:"Displays a list of all ACI threads and specifies what each thread is doing. Example http://12.3.4.56:9000/action=ThreadStatus This action uses port 9000 to request thread information from a component, which is located on a machine with the IP address 12.3.4.56. Optional Parameters This action ..."},"90":{y:0,u:"../Content/Actions/Maintenance Actions/Actions_Maintenance.htm",l:-1,t:"Maintenance Actions",i:0.000294697411075106,a:"Maintenance Actions"},"91":{y:0,u:"../Content/Actions/Maintenance Actions/EngineManagement.htm",l:-1,t:"EngineManagement",i:0.00421520003500873,a:"Allows you to dynamically edit the status of child servers (without restarting the Distributed Index Handler).  DIH updates the configuration file when you add, update, or remove a child server.  You must specify the action to perform by setting  EngineAction . Depending on the value of  ..."},"92":{y:0,u:"../Content/Actions/Status/_ACI_Actions_Status.htm",l:-1,t:"Status Actions",i:0.000294697411075106,a:"Status Actions"},"93":{y:0,u:"../Content/Actions/Status/_ACI_GetPid.htm",l:-1,t:"GetPid",i:0.000378195025777836,a:"GetPid Returns the ID of the process for Distributed Index Handler. Example http://12.3.4.56:9000/action=GetPid This action  requests the current process ID from Distributed Index Handler. Optional Parameters This action accepts the following standard ACI action parameters."},"94":{y:0,u:"../Content/Actions/Status/_ACI_GetStatus.htm",l:-1,t:"GetStatus",i:0.00268937152375487,a:"Returns the following details about the  Distributed Index Handler setup (provided they have been configured): product name version number build number licensing details used ports installation location used threads term details document details database details language type details security ..."},"95":{y:0,u:"../Content/Actions/Status/_ACI_IndexerGetStatus.htm",l:-1,t:"IndexerGetStatus",i:0.00767896799488496,a:"Allows you to display the status of index actions in the Distributed Index Handler index queue. This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action explicitly. See  Authorization Roles ..."},"96":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Actions_SharedParameters.htm",l:-1,t:"Shared Action Parameters",i:0.000294697411075106,a:"Shared Action Parameters This section describes parameters that are shared between multiple actions. Parameters for All Actions Parameters for All Index Actions"},"97":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Parameters_for_All_Actio.htm",l:-1,t:"Parameters for All Actions",i:0.000419943833129202,a:"Parameters for All Actions This section describes action parameters that you can use in all  ACI actions."},"98":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Parameters_for_All_Index.htm",l:-1,t:"Parameters for All Index Actions",i:0.000419943833129202,a:"Parameters for All Index Actions This section describes the parameters that you can use for all Distributed Index Handler index actions."},"99":{y:0,u:"../Content/Actions/Template/_ACI_Actions_Template.htm",l:-1,t:"Template Actions",i:0.000294697411075106,a:"Template Actions You can use XSL templates to transform action responses. The actions in this section are used for managing these templates . To use these actions, you must set the  XSLTemplates  parameter to  True."},"100":{y:0,u:"../Content/Actions/Template/_ACI_TemplateDelete.htm",l:-1,t:"TemplateDelete",i:0.00144186699760838,a:"Allows you to delete a specified template. This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example ..."},"101":{y:0,u:"../Content/Actions/Template/_ACI_TemplateList.htm",l:-1,t:"TemplateList",i:0.000344795979896744,a:"TemplateList Lists the templates that are available. Example http://12.3.4.56:16000/action=TemplateList This action requests a list all templates from the ACI server. Optional Parameters This action accepts the following standard ACI action parameters."},"102":{y:0,u:"../Content/Actions/Template/_ACI_TemplateShow.htm",l:-1,t:"TemplateShow",i:0.00144186699760838,a:"Displays a specified template. Example http://12.3.4.56:16000/action=TemplateShow\u0026TemplateName=MyTemplate This action requests the MyTemplate template from the ACI server. Required Parameters The following action parameters are required. Optional Parameters This action accepts the following standard ..."},"103":{y:0,u:"../Content/Actions/Template/_ACI_TemplateUpload.htm",l:-1,t:"TemplateUpload",i:0.00264952880420677,a:"Uploads a template to the ACI server that you can use for action response layout and content. You must use multipart encoding to upload the template with the TemplateUpload action. The recommended way to submit requests that use multipart encoding is using the ACI API. An alternative to using the ..."},"104":{y:0,u:"../Content/Configuration/_ACI_Config.htm",l:-1,t:"Configuration Parameters",i:0.000294697411075106,a:"Configuration Parameters This section describes the configuration parameters that you can use to configure Distributed Index Handler."},"105":{y:0,u:"../Content/Configuration/_ACI_Config_Intro.htm",l:-1,t:"Introduction to Configuration",i:0.000294697411075106,a:"Configuration parameters are set in the  configuration file. When setting configuration parameter values, you must use UTF-8. This section describes how to enter parameter values in the configuration file. Enter Boolean Values The following settings for Boolean parameters are interchangeable: TRUE = ..."},"106":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_Config_AuthorizationRoles.htm",l:-1,t:"Authorization Roles Configuration Parameters",i:0.00299448222960867,a:"The [AuthorizationRoles] section contains definitions for roles that enable particular sets of actions for particular clients, SSL identities, and GSS principals. You must create a  subsection for each authorization role that you define in the [AuthorizationRoles] configuration section.  You define ..."},"107":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_N.htm",l:-1,t:"N",i:0.000294697411075106,a:"The names of the authorization role configuration sections. For the name of this configuration parameter, replace  N with the zero-based rank number of the specified authorization role. For the parameter value, type the name of the authorization role configuration section. You must number the ..."},"108":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_Config_MyAuthorizationRole.htm",l:-1,t:"My Authorization Role Configuration Parameters",i:0.000294697411075106,a:"The individual authorization role sections contain settings that define the authorization role.  You must create a  subsection for each authorization role that you define in the [AuthorizationRoles] configuration section.  You define the permissions that a particular role has by using  StandardRoles ..."},"109":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_Actions.htm",l:-1,t:"Actions",i:0.000336446218426471,a:"A comma-separated list of ACI actions that you want to enable for this role configuration.  If a user connection matches one of the allowed clients, principals, or SSL identities, they have permission to perform the specified actions, regardless of whether they also have the appropriate standard ..."},"110":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_Clients.htm",l:-1,t:"Clients",i:0.00139106619075721,a:"A comma-separated list of IP addresses (or host names) of clients that have authorization for the functions included in this role. There must be no space before or after a comma. You can use wildcards in an IP address, but not in a host name. For example, 187.*.*.* includes any machine with an ..."},"111":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_GSSPrincipals.htm",l:-1,t:"GSSPrincipals",i:0.00198226954888953,a:"A comma-separated list of Kerberos GSS principals that have authorization for the functions included in this role. You can include Wildcard values in the GSS principal names.  The Kerberos principal name consists of: The Kerberos primary. This value might be the user name or service name (for ..."},"112":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_IndexActions.htm",l:-1,t:"IndexActions",i:0.000336446218426471,a:"A comma-separated list of index actions that you want to enable for this role configuration.  If a user connection matches one of the allowed clients, principals, or SSL identities, they have permission to perform the specified actions, regardless of whether they also have the appropriate standard ..."},"113":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_ServiceActions.htm",l:-1,t:"ServiceActions",i:0.000336446218426471,a:"A comma-separated list of service actions that you want to enable for this role configuration.  If a user connection matches one of the allowed clients, principals, or SSL identities, they have permission to perform the specified actions, regardless of whether they also have the appropriate standard ..."},"114":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_SSLIdentities.htm",l:-1,t:"SSLIdentities",i:0.00163486136988832,a:"A comma-separated list of SSL identities that have authorization for the functions included in this role.  You can include a tag prefix to specify whether the SSL identity is a DNS name (dns) or email address (email). If you do not specify a prefix, the server treats the identity as a DNS name. You ..."},"115":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_StandardRoles.htm",l:-1,t:"StandardRoles",i:0.000294697411075106,a:"A comma-separated list of standard roles that you want to enable for this role configuration. You can use the following standard roles: Admin. This role can perform administrative ACI actions.  Query. This role can perform non-administrative ACI actions. Index. This role can perform index actions. ..."},"116":{y:0,u:"../Content/Configuration/Child Server/Config_ChildServersParams.htm",l:-1,t:"Child Server Configuration Parameters",i:0.000676211558060508,a:"This section describes the parameters that you use to configure the DIH child servers. You can set these parameters in the [IDOLServerN] or [DIHEngineN] section.  DIH reads these two configuration sections equivalently. When you use a stand-alone DIH with its own configuration file, you can use ..."},"117":{y:0,u:"../Content/Configuration/Child Server/DistributeByFieldsValues.htm",l:-1,t:"DistributeByFieldsValues",i:0.00242977237743887,a:"The values that the fields specified in  DistributeByFieldsCSVs  must contain to be indexed into this child server. Separate multiple values with commas.  DIH indexes a document into this child server if it contains at least one matching values in one of the  DistributeByFieldsCSVs  fields. You can ..."},"118":{y:0,u:"../Content/Configuration/Child Server/GSSServiceName.htm",l:-1,t:"GSSServiceName",i:0.00236096031794214,a:"The GSSAPI service name of this child server. Specify only the service name part. You do not need to specify the fully qualified domain name. If you have enabled GSSAPI authentication on the  child server ports, DIH uses this value as the GSSAPI service name of the child server. If you set ..."},"119":{y:0,u:"../Content/Configuration/Child Server/Host.htm",l:-1,t:"Host",i:0.00423489053730855,a:"The IP address or host name of the machine that hosts the IDOL server.  If you set  GSSServiceName , you must set Host to a fully qualified domain name (that is, for GSS authentication you cannot use localhost, an IP address, or a host without the domain name, even if these values resolve to the ..."},"120":{y:0,u:"../Content/Configuration/Child Server/Polling.htm",l:-1,t:"Polling",i:0.00142714411238004,a:"Set this parameter to  false to prevent the Distributed Index Handler from periodically polling each job in the index queue for this child server to determine the jobs that are complete. If Polling is to set  false, DIH reports a job finished after the action has been sent. You can also set the  ..."},"121":{y:0,u:"../Content/Configuration/Child Server/Port.htm",l:-1,t:"Port",i:0.00220115209607261,a:"The ACI port of the IDOL Server. This value must be the Port that you have specified in the IDOL Server configuration file [Server] section. If you create a server group by specifying a comma-separated list of host names in the  Host  parameter, you must specify a value in the Port parameter for ..."},"122":{y:0,u:"../Content/Configuration/Child Server/UpdateOnly.htm",l:-1,t:"UpdateOnly",i:0.00155173459850364,a:"Type  true to designate a child IDOL server as an archive server. An archive server is enabled for update only, it receives document updates but does not receive new documents. You cannot use this option when  MirrorMode  is set to true, or when you use the  DistributeByFields ,  ..."},"123":{y:0,u:"../Content/Configuration/Child Server/ServiceSSLConfig.htm",l:-1,t:"ServiceSSLConfig",i:0.000693792990352701,a:"Identifies the configuration section in which the SSL configuration details for the service port of the distributed servers are specified, usually SSLOptionN. This option allows SSL connections between the Distributed Index Handler and the service port of its child servers. You can use only a single ..."},"124":{y:0,u:"../Content/Configuration/Child Server/SSLConfig.htm",l:-1,t:"SSLConfig",i:0.000643694421531063,a:"Identifies the configuration section in which the SSL configuration details for distributed servers are specified, usually SSLOptionN. This option allows SSL connections between the Distributed Index Handler and other components. Set this parameter in the [IDOLServerN] or [DIHEngineN] section to ..."},"125":{y:0,u:"../Content/Configuration/Child Server/Weight.htm",l:-1,t:"Weight",i:0.000511811227580474,a:"The weight of the child server.  The weight sets the ratio in which DIH distributes documents to the child servers. For example, if server 0 has weight  1 and server 1 has weight  2 then for every document server 0 receives server 1 receives two. You can set a weight of  0 to add no documents to a ..."},"126":{y:0,u:"../Content/Configuration/ConsistentHashing/Config_ConsistentHashingParams.htm",l:-1,t:"Consistent Hashing Configuration Parameters",i:0.000294697411075106,a:"Consistent Hashing Configuration Parameters In the [ConsistentHashing] section you define settings for consistent hashing mode (when  UseConsistentHashing  is set to  true). You must number child IDOL server sections in consecutive order, starting from 0."},"127":{y:0,u:"../Content/Configuration/ConsistentHashing/ExplicitExportSSLConfig.htm",l:-1,t:"ExplicitExportSSLConfig",i:0.000294697411075106,a:"The name of the configuration section in the DIH child Content servers that contain SSL settings for communications with the DIH. To use redistribution ( DREREDISTRIBUTE ) with SSL, the child Content servers must have a configuration section that contains the SSL settings necessary to communicate ..."},"128":{y:0,u:"../Content/Configuration/ConsistentHashing/Replicas.htm",l:-1,t:"Replicas",i:0.000690755499595377,a:"The number of identical copies of each document to index.  The number of copies (that is, the value of Replicas plus one) must be smaller than the number of child servers. If you create more copies than there are child servers, Distributed Index Handler does not start. In consistent hashing mode, ..."},});